E-MailRelay

Public Member Functions | List of all members
GNet::EventLoggingContext Class Reference

A class that sets the G::LogOuput::context() while in scope. More...

`#include <geventloggingcontext.h>`

## Public Member Functions
| EventLoggingContext (EventState)
| Constructor that sets the G::LogOutput logging context to the accumulation of EventLogging::eventLoggingString()s. More...
| EventLoggingContext (std::string_view)
| Constructor that sets the G::LogOutput logging context to the given string. More...
| EventLoggingContext (EventState, const std::string &)
| Constructor that sets the G::LogOutput logging context to the accumulation of EventLogging::eventLoggingString()s and the given string. More...
| ~EventLoggingContext ()
| Destructor. Restores the logging context. More...
| EventLoggingContext (const EventLoggingContext &)=delete
| EventLoggingContext (EventLoggingContext &&)=delete
EventLoggingContext & | operator= (const EventLoggingContext &)=delete
EventLoggingContext & | operator= (EventLoggingContext &&)=delete

## Detailed Description

A class that sets the G::LogOuput::context() while in scope.

Definition at line 37 of file geventloggingcontext.h.

## Constructor & Destructor Documentation

## ◆ EventLoggingContext() [1/3]

GNet::EventLoggingContext::EventLoggingContext | ( | EventState | es | ) |
| explicit

Constructor that sets the G::LogOutput logging context to the accumulation of EventLogging::eventLoggingString()s.

Definition at line 55 of file geventloggingcontext.cpp.

## ◆ EventLoggingContext() [2/3]

GNet::EventLoggingContext::EventLoggingContext | ( | std::string_view | s | ) |
| explicit

Constructor that sets the G::LogOutput logging context to the given string.

Definition at line 35 of file geventloggingcontext.cpp.

## ◆ EventLoggingContext() [3/3]

GNet::EventLoggingContext::EventLoggingContext | ( | EventState | es,
|  | const std::string & | s
| ) |  |

Constructor that sets the G::LogOutput logging context to the accumulation of EventLogging::eventLoggingString()s and the given string.

Definition at line 45 of file geventloggingcontext.cpp.

## ◆ ~EventLoggingContext()

GNet::EventLoggingContext::~EventLoggingContext | ( |  | ) |

Destructor. Restores the logging context.

Definition at line 77 of file geventloggingcontext.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/geventloggingcontext.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/geventloggingcontext.cpp